### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# XUartNs550Format Struct Reference

## Detailed Description

This data type allows the data format of the device to be set and retrieved.

## Data Fields

u32 | BaudRate
u32 | DataBits
u32 | Parity
u8 | StopBits

## Field Documentation

u32 XUartNs550Format::BaudRate

| In bps, ie 1200

u32 XUartNs550Format::DataBits

| Number of data bits

u32 XUartNs550Format::Parity

| Parity

u8 XUartNs550Format::StopBits

| Number of stop bits

The documentation for this struct was generated from the following file:

- xuartns550.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.